Bullet Collision Detection & Physics Library: btTranslationalLimitMotor2 Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btTranslationalLimitMotor2 Class Reference

`#include <btGeneric6DofSpring2Constraint.h>`

Collaboration diagram for btTranslationalLimitMotor2:
[legend]

## Public Member Functions
| btTranslationalLimitMotor2 ()
| btTranslationalLimitMotor2 (const btTranslationalLimitMotor2 &other)
bool | isLimited (int limitIndex)
void | testLimitValue (int limitIndex, btScalar test_value)

## Public Attributes
btVector3 | m_lowerLimit
btVector3 | m_upperLimit
btVector3 | m_bounce
btVector3 | m_stopERP
btVector3 | m_stopCFM
btVector3 | m_motorERP
btVector3 | m_motorCFM
bool | m_enableMotor [3]
bool | m_servoMotor [3]
bool | m_enableSpring [3]
btVector3 | m_servoTarget
btVector3 | m_springStiffness
bool | m_springStiffnessLimited [3]
btVector3 | m_springDamping
bool | m_springDampingLimited [3]
btVector3 | m_equilibriumPoint
btVector3 | m_targetVelocity
btVector3 | m_maxMotorForce
btVector3 | m_currentLimitError
btVector3 | m_currentLimitErrorHi
btVector3 | m_currentLinearDiff
int | m_currentLimit [3]

## Detailed Description

Definition at line 160 of file btGeneric6DofSpring2Constraint.h.

## Constructor & Destructor Documentation

## ◆ btTranslationalLimitMotor2() [1/2]

btTranslationalLimitMotor2::btTranslationalLimitMotor2 | ( |  | ) |
| inline

Definition at line 190 of file btGeneric6DofSpring2Constraint.h.

## ◆ btTranslationalLimitMotor2() [2/2]

btTranslationalLimitMotor2::btTranslationalLimitMotor2 | ( | const btTranslationalLimitMotor2 & | other | ) |
| inline

Definition at line 222 of file btGeneric6DofSpring2Constraint.h.

## Member Function Documentation

## ◆ isLimited()

bool btTranslationalLimitMotor2::isLimited | ( | int | limitIndex | ) |
| inline

Definition at line 254 of file btGeneric6DofSpring2Constraint.h.

## ◆ testLimitValue()

void btTranslationalLimitMotor2::testLimitValue | ( | int | limitIndex,
|  | btScalar | test_value )

Definition at line 1223 of file btGeneric6DofSpring2Constraint.cpp.

## Member Data Documentation

## ◆ m_bounce

btVector3 btTranslationalLimitMotor2::m_bounce

Definition at line 168 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_currentLimit

int btTranslationalLimitMotor2::m_currentLimit[3]

Definition at line 188 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_currentLimitError

btVector3 btTranslationalLimitMotor2::m_currentLimitError

Definition at line 185 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_currentLimitErrorHi

btVector3 btTranslationalLimitMotor2::m_currentLimitErrorHi

Definition at line 186 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_currentLinearDiff

btVector3 btTranslationalLimitMotor2::m_currentLinearDiff

Definition at line 187 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_enableMotor

bool btTranslationalLimitMotor2::m_enableMotor[3]

Definition at line 173 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_enableSpring

bool btTranslationalLimitMotor2::m_enableSpring[3]

Definition at line 175 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_equilibriumPoint

btVector3 btTranslationalLimitMotor2::m_equilibriumPoint

Definition at line 181 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_lowerLimit

btVector3 btTranslationalLimitMotor2::m_lowerLimit

Definition at line 166 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_maxMotorForce

btVector3 btTranslationalLimitMotor2::m_maxMotorForce

Definition at line 183 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_motorCFM

btVector3 btTranslationalLimitMotor2::m_motorCFM

Definition at line 172 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_motorERP

btVector3 btTranslationalLimitMotor2::m_motorERP

Definition at line 171 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_servoMotor

bool btTranslationalLimitMotor2::m_servoMotor[3]

Definition at line 174 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_servoTarget

btVector3 btTranslationalLimitMotor2::m_servoTarget

Definition at line 176 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_springDamping

btVector3 btTranslationalLimitMotor2::m_springDamping

Definition at line 179 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_springDampingLimited

bool btTranslationalLimitMotor2::m_springDampingLimited[3]

Definition at line 180 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_springStiffness

btVector3 btTranslationalLimitMotor2::m_springStiffness

Definition at line 177 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_springStiffnessLimited

bool btTranslationalLimitMotor2::m_springStiffnessLimited[3]

Definition at line 178 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_stopCFM

btVector3 btTranslationalLimitMotor2::m_stopCFM

Definition at line 170 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_stopERP

btVector3 btTranslationalLimitMotor2::m_stopERP

Definition at line 169 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_targetVelocity

btVector3 btTranslationalLimitMotor2::m_targetVelocity

Definition at line 182 of file btGeneric6DofSpring2Constraint.h.

## ◆ m_upperLimit

btVector3 btTranslationalLimitMotor2::m_upperLimit

Definition at line 167 of file btGeneric6DofSpring2Constraint.h.

The documentation for this class was generated from the following files:

- btGeneric6DofSpring2Constraint.h
- btGeneric6DofSpring2Constraint.cpp